package grammars;

/**
 * Trida reprezentujici terminalni symbol
 *
 * @author Martin Kot
 * @version 1.0
 */
public class Terminal extends Symbol{
  /**
   * Konstruktor tvorici bezejmenny terminal
   */
  public Terminal(){
    super();
  }

  /**
   * Konstruktor tvorici terminal s pozadovanym jmenem
   *
   * @param name Jmeno terminalu
   */
  public Terminal(String s){
    super(s);
  }

  /**
   * Konstruktor tvorici terminal s pozadovanym jmenem. Jmeno tvori pouze
   * jeden znak
   *
   * @param c Jmeno terminalu
   */
  public Terminal(char c){
    char pole[]=new char[1];
    pole[0]=c;
    symbol=new String(pole);
  }

  /**
   * Predefinovana metoda tridy Symbol slouzici ke zjisteni, jestli je Symbol
   * terminal
   *
   * @return Vzdy vraci true
   */
  public boolean isTerminal(){
    return true;
  }

  /**
   * Predefinovana metoda tridy Symbol slouzici ke zjisteni, jestli je Symbol
   * neterminal
   *
   * @return Vzdy vraci false
   */
  public boolean isNonterminal(){
    return false;
  }
}
